---
no_breadcrumbs: true
no_toc: true
---
{% include header.md %}

Random collection of config notes and miscellaneous stuff. _Technically not a wiki._

## Configuration

### General

- [General Notes](config/general/general/)
- [Linux General Notes](config/general/linux-general/)
- [Linux Examples](config/general/linux-examples/)
- [Computer Testing](config/hardware/computer-testing/)

### Server

- [Debian Server](config/server/debian/)
- [Linux Server Storage](config/server/linux-storage/)
- [Linux Server Applications](config/server/linux-applications/)
- [Proxmox VE](config/server/proxmox-ve/)
- [Home Assistant](config/server/home-assistant/)
- [Dell PowerEdge](config/server/dell-poweredge/)
- [HP ProLiant](config/server/hp-proliant/)

### PC

- [Kubuntu](config/pc/kubuntu/)
- [Windows](config/pc/windows/)
- [PC Applications](config/pc/applications/)
- [Dell OptiPlex](config/pc/dell-optiplex/)
- [Laptops](config/pc/laptops/)

### IoT

- [Raspberry Pi](config/iot/raspberry-pi/)

### Network

#### General

- [Routing](config/network/routing/)
- [Switching](config/network/switching/)
- [WLAN](config/network/wlan/)
- [Security](config/network/security/)

#### Specific

- [Brocade FastIron Switches](config/network/brocade-fastiron-switches/)
- [Cisco Hardware](config/network/cisco-hardware/)
- [Cisco IOS General](config/network/cisco-ios-general/)
- [Cisco IOS Routers](config/network/cisco-ios-routers/)
- [Cisco IOS Switches](config/network/cisco-ios-switches/)
- [Juniper Hardware](config/network/juniper-general/)
- [Juniper Junos General](config/network/juniper-junos-general/)
- [Juniper Junos Switches](config/network/juniper-junos-switches/)
- [Linksys LGS Switches](config/network/linksys-lgs/)
- [Linux Switching & Routing](config/network/linux/)
- [pfSense](config/network/pfsense/)
- [Ubiquiti UniFi Controllers](config/network/ubiquiti-unifi-controllers/)
- [Uniquiti UniFi Access Points](config/network/ubiquiti-unifi-aps/)
- [VyOS](/config/network/vyos/)

### HPC

- [Slurm Workload Manager](config/hpc/slurm/)

### Game Servers

- [Counter-Strike: Global Offensive (CS:GO)](config/game-server/csgo/)
- [Minecraft (Bukkit)](config/game-server/minecraft-bukkit/)
- [Team Fortress 2 (TF2)](config/game-server/tf2/)

### Media

- [Media Ripping](config/media/ripping/)
- [Video Streaming](config/media/streaming/)

### Power

- [APC PDUs](config/power/apc-pdus/)

### Automation

- [Ansible General](config/automation/ansible-general/)
- [Ansible Network](config/automation/ansible-network/)

## Information Technology

### Network

- [IPv4](it/network/ipv4/)
- [IPv6](it/network/ipv6/)
- [Network Architecture](it/network/architecture/)
- [Switching](it/network/switching/)
- [Wireless Basics](it/network/wireless-basics/)
- [WLAN](it/network/wlan/)

### Services

- [Email](it/services/email/)
- [DNS](it/services/dns/)

## Media

### Audio

- [Audio Basics](media/audio/basics/)

## Software Engineering

### General

- [Database Management Systems (DBMSes)](se/general/dbmses/)
- [Software Licensing](se/general/licensing/)

### Web

- [Web Security](se/web/security/)

### Frameworks

- [CUDA](se/frameworks/cuda/)
- [OpenMPI](se/frameworks/openmpi/)

## Guides

### Network

- [Juniper EX3300 Fan Mod](guides/network/juniper-ex3300-fanmod/)

<!--
## External Resources

- [My miscellaneous configs and scripts](https://github.com/HON95/configs)
- [My miscellaneous code snippets and dev scripts](https://github.com/HON95/code)
- [My miscellaneous Ansible playbooks](https://github.com/HON95/ansible-playbooks)
-->

{% include footer.md %}
